PIRL.Conductor.Pipeline_Configuration

## Enum Pipeline_Configuration.ExitCode

- java.lang.Object
- - java.lang.Enum<Pipeline_Configuration.ExitCode>
  - - PIRL.Conductor.Pipeline_Configuration.Pipeline_Configuration.ExitCode

All Implemented Interfaces:
  Serializable, Comparable<Pipeline_Configuration.ExitCode>

Enclosing class:
  Pipeline_Configuration

    public static enum Pipeline_Configuration.ExitCode
    extends Enum<Pipeline_Configuration.ExitCode>

Application exit status values.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COMMAND_LINE_PARSE_ERROR`
`CONFIGURATION_ERROR`
`DATABASE_ERROR`
`STRICT_VALIDATION_FAILURE`
`SUCCESS`

### Method Summary

Methods
`int` `code()`
`static Pipeline_Configuration.ExitCode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Pipeline_Configuration.ExitCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SUCCESS

    public static final Pipeline_Configuration.ExitCode SUCCESS

#### COMMAND_LINE_PARSE_ERROR

    public static final Pipeline_Configuration.ExitCode COMMAND_LINE_PARSE_ERROR

#### CONFIGURATION_ERROR

    public static final Pipeline_Configuration.ExitCode CONFIGURATION_ERROR

#### DATABASE_ERROR

    public static final Pipeline_Configuration.ExitCode DATABASE_ERROR

#### STRICT_VALIDATION_FAILURE

    public static final Pipeline_Configuration.ExitCode STRICT_VALIDATION_FAILURE

### Method Detail

#### values

    public static Pipeline_Configuration.ExitCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Pipeline_Configuration.ExitCode c : Pipeline_Configuration.ExitCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Pipeline_Configuration.ExitCode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### code

    public int code()